EDIT - task #2387

make name and location of ~/.cdmlibrary folder configurable
05/18/2011 04:16 PM - Niels Hoffmann

Status: New Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: major

Description

We are referencing the ~/.cdmlibrary folder in various parts in the library. It also seems like there is no central method to get the
location and the path to this folder is always build by hand.

We want to have a central location where the path as well as the name of this folder can be configured and retrieved. Preferably via
spring.

Related issues:

Related to EDIT - task #8505: ConfigFileUtil: turn all spring bean methods in... Closed
Related to EDIT - bug #8189: Allow configuration of 'user.nome' via the sprin... Closed
History

#1 - 05/23/2011 10:59 AM - Andreas Miiller
- Priority changed from Priority08 to Priority13

#2 - 08/30/2019 06:03 PM - Andreas Kohlbecker
- Related to task #8505: ConfigFileUtil: turn all spring bean methods into not statical methods. added

#3 - 08/30/2019 06:03 PM - Andreas Kohlbecker

- Related to bug #8189: Allow configuration of 'user.home' via the spring environment added

#4 - 08/30/2019 06:04 PM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#5 - 11/23/2021 08:36 PM - Andreas Miuller

- Target version changed from cdmlib - Old Next Major Release to Unassigned CDM tickets
